{ pkgs, ... }@all: with all;
{
  # Simply install just the packages
  environment.packages = with pkgs; [
    helix
    git
    lazygit
    yazi
  ];

  # Backup etc files instead of failing to activate generation if a file already exists in /etc
  environment.etcBackupExtension = ".bak";

  # Read the changelog before changing this value
  system.stateVersion = pkgs.version;

  # Set up nix for flakes
  nix.extraOptions = ''
    experimental-features = nix-command flakes
  '';

  # Set your time zone
  time.timeZone = "Europe/Berlin";
}
